Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.system
Class FileXAResource

    java.lang.Object
      com.stc.connector.fileadapter.system.FileXAResource

All Implemented Interfaces:
  javax.transaction.xa.XAResource

    public class FileXAResource

extends java.lang.Object
implements javax.transaction.xa.XAResource

An XA Resource for the File Adapter

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Constructor Summary
`FileXAResource(FileResourceManager aManager)` XA Resource to make the File Adapter XA transactional

Method Summary
`void` | `commit(javax.transaction.xa.Xid aXid, boolean aOnePhase)`
`void` | `end(javax.transaction.xa.Xid aXid, int aFlags)`
`void` | `forget(javax.transaction.xa.Xid aXid)`
`int` | `getTransactionTimeout()`
`boolean` | `isSameRM(javax.transaction.xa.XAResource aResource)`
`int` | `prepare(javax.transaction.xa.Xid aXid)`
`javax.transaction.xa.Xid[]` | `recover(int aFlags)`
`void` | `rollback(javax.transaction.xa.Xid aXid)`
`boolean` | `setTransactionTimeout(int aTimeout)`
`void` | `start(javax.transaction.xa.Xid aXid, int aFlags)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileXAResource

    public FileXAResource(FileResourceManager aManager)

  XA Resource to make the File Adapter XA transactional

Method Detail

### commit

    public void commit(javax.transaction.xa.Xid aXid,
                       boolean aOnePhase)
                throws javax.transaction.xa.XAException

  Specified by:
    `commit` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.commit(javax.transaction.xa.Xid, boolean)`

### end

    public void end(javax.transaction.xa.Xid aXid,
                    int aFlags)
             throws javax.transaction.xa.XAException

  Specified by:
    `end` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.end(javax.transaction.xa.Xid, int)`

### forget

    public void forget(javax.transaction.xa.Xid aXid)
                throws javax.transaction.xa.XAException

  Specified by:
    `forget` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.forget(javax.transaction.xa.Xid)`

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws javax.transaction.xa.XAException

  Specified by:
    `getTransactionTimeout` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.getTransactionTimeout()`

### isSameRM

    public boolean isSameRM(javax.transaction.xa.XAResource aResource)
                     throws javax.transaction.xa.XAException

  Specified by:
    `isSameRM` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.isSameRM(javax.transaction.xa.XAResource)`

### prepare

    public int prepare(javax.transaction.xa.Xid aXid)
                throws javax.transaction.xa.XAException

  Specified by:
    `prepare` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.prepare(javax.transaction.xa.Xid)`

### recover

    public javax.transaction.xa.Xid[] recover(int aFlags)
                                       throws javax.transaction.xa.XAException

  Specified by:
    `recover` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.recover(int)`

### rollback

    public void rollback(javax.transaction.xa.Xid aXid)
                  throws javax.transaction.xa.XAException

  Specified by:
    `rollback` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.rollback(javax.transaction.xa.Xid)`

### setTransactionTimeout

    public boolean setTransactionTimeout(int aTimeout)
                                  throws javax.transaction.xa.XAException

  Specified by:
    `setTransactionTimeout` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.setTransactionTimeout(int)`

### start

    public void start(javax.transaction.xa.Xid aXid,
                      int aFlags)
               throws javax.transaction.xa.XAException

  Specified by:
    `start` in interface `javax.transaction.xa.XAResource`
  Throws:
    `javax.transaction.xa.XAException`
  See Also:
    `XAResource.start(javax.transaction.xa.Xid, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.